Add support for vim emu installation
* add auto push to vagrant cloud
Signed-off-by: Michael Marchetti <mmarchetti@sandvine.com>
diff --git a/packer/scripts/get-install-osm.sh b/packer/scripts/get-install-osm.sh
index 534799b..e04b96a 100755
--- a/packer/scripts/get-install-osm.sh
+++ b/packer/scripts/get-install-osm.sh
@@ -3,6 +3,12 @@
echo "PATH=$PATH"
juju status
-wget "$1"
-chmod +x install_osm.sh
-./install_osm.sh --nolxd -y --vimemu
+git clone https://osm.etsi.org/gerrit/osm/vim-emu.git
+git clone https://osm.etsi.org/gerrit/osm/devops.git
+eval devops/installers/full_install_osm.sh --nolxd -y "$1"
+
+cat >> ~/.bashrc <<-EOF
+export OSM_HOSTNAME=127.0.0.1
+export OSM_SOL005=True
+
+EOF
diff --git a/packer/scripts/juju-setup.sh b/packer/scripts/juju-setup.sh
index 55752e5..8685b48 100755
--- a/packer/scripts/juju-setup.sh
+++ b/packer/scripts/juju-setup.sh
@@ -1,2 +1,3 @@
#!/bin/sh
sudo snap install juju --classic
+/snap/bin/juju bootstrap --bootstrap-series=xenial localhost osm
diff --git a/packer/scripts/vimemu.sh b/packer/scripts/vimemu.sh
new file mode 100755
index 0000000..6beb79b
--- /dev/null
+++ b/packer/scripts/vimemu.sh
@@ -0,0 +1,49 @@
+#!/bin/sh
+mkdir -p /etc/systemd/system/scripts
+cat > /etc/systemd/system/scripts/osm-vimemu-startup.sh <<-'EOF'
+#!/bin/sh
+
+export OSM_HOSTNAME=127.0.0.1
+export OSM_SOL005=True
+
+echo "Waiting for OSM startup"
+while true; do
+ # wait for startup of osm
+ RC=$(osm vim-list)
+ if [ "$?" -eq 0 ]; then
+ break
+ fi
+ sleep 2
+done
+echo "OSM is up"
+sleep 10
+export VIMEMU_HOSTNAME=$(docker inspect -f '{{range .NetworkSettings.Networks}}{{.IPAddress}}{{end}}' vim-emu)
+osm vim-create --name vim-emulator --user username --password password --auth_url http://$VIMEMU_HOSTNAME:6001/v2.0 --tenant tenantName --account_type openstack
+osm vnfd-create /home/vagrant/vim-emu/examples/vnfs/ping.tar.gz
+osm vnfd-create /home/vagrant/vim-emu/examples/vnfs/pong.tar.gz
+osm nsd-create /home/vagrant/vim-emu/examples/services/pingpong_nsd.tar.gz
+osm ns-create --nsd_name pingpong --ns_name test --vim_account vim-emulator
+
+echo "VIM emulator created"
+systemctl disable osm-vimemu-setup.service
+EOF
+chmod +x /etc/systemd/system/scripts/osm-vimemu-startup.sh
+
+cat > /etc/systemd/system/osm-vimemu-setup.service <<-'EOF'
+[Unit]
+Description=OSM VIM emulator setup
+
+[Service]
+Type=oneshot
+ExecStart=/etc/systemd/system/scripts/osm-vimemu-startup.sh
+RemainAfterExit=yes
+TimeoutSec=120
+
+# Output needs to appear in instance console output
+StandardOutput=journal+console
+
+[Install]
+WantedBy=multi-user.target
+EOF
+
+#systemctl enable osm-vimemu-setup.service